Skip to main content
Returns combo lifecycle activity for a wallet. This is the combo-only counterpart to wallet splits, merges, redemptions, and lifecycle activity.

Request

GET /v3/wallets/{address}/combos/activity

Query parameters

ParameterTypeDefaultDescription
market_idstringAlias for condition_id
condition_idstringCombo condition ID
position_idstringCombo position ID
event_kindstringFilter by event kind, for example PositionsSplit or PositionRedeemed
limitinteger100Results per page, max 300
offsetinteger0Pagination offset

Example

curl "https://api.polynode.dev/v3/wallets/0x63613e3b96f418332d43cd2af8dc321014d15907/combos/activity?limit=2"
{
  "address": "0x63613e3b96f418332d43cd2af8dc321014d15907",
  "activity": [
    {
      "position_type": "combo",
      "event_kind": "PositionsSplit",
      "side": "Split",
      "user_address": "0x63613e3b96f418332d43cd2af8dc321014d15907",
      "combo_condition_id": "0x03d98f6ac4c108c5ca66f79f34908a1d820000000000000000000000000000",
      "combo_position_id": "1741334187009265192213210063949860811096650382021683265628751751539647840256",
      "amount_usdc": "0.050750",
      "tx_hash": "0xf3a8985f04bf869483ef4163a185f296c834eb827b5e5ae3db5bd44558121d51",
      "log_index": 890,
      "block_number": 88276713,
      "timestamp": 1781120055,
      "legs": [
        {
          "leg_index": 0,
          "leg_position_id": "547325449395903582555711510844460161809002726131102493368605951180083822592"
        }
      ]
    }
  ],
  "rows_returned": 2,
  "has_more": true,
  "position_type": "combo",
  "source": "v3.wallet_combos.activity"
}

Response fields

FieldTypeDescription
event_kindstringPublic lifecycle event kind
sidestringHuman-readable lifecycle side, such as Split or Merge
combo_condition_idstringCombo condition ID
combo_position_idstringCombo position ID
amount_usdcstringAmount formatted in USDC
payout_usdcstring or nullRedemption payout formatted in USDC when the activity is a redeem
tx_hashstringPolygon transaction hash
block_numberintegerPolygon block number
timestampintegerUnix timestamp in seconds
legsarrayLeg position IDs involved in the lifecycle event

Redemption semantics

Combo redemptions are normalized to match Polymarket’s public combo activity shape. Router and auto-redeemer paths are returned as event_kind: "PositionRedeemed" with side: "Redeem" and the underlying module kind, such as Combinatorial, Binary, or NegRisk. The raw router/auto-redeemer contract path is used internally for indexing but is not the public event kind. When leg metadata is available, redemption rows include resolved leg statuses and leg_current_price values in the legs array.